Skip to content

Reports

Overview, message volume, peak hours, campaign and workflow reports. · 1 endpoints

Reports (dashboard, message-volume, peak-hours, contact-growth, segmentation, campaign-comparison, friend-requests, workflows, ai, response-time, label-usage)

GET/api/v1/analytics/{report}Scope: analytics:read

Parameters

report
path · required
"dashboard" | "message-volume" | "peak-hours" | "contact-growth" | "segmentation" | "campaign-comparison" | "friend-requests" | "workflows" | "ai" | "response-time" | "label-usage"
account_id
query · optional
string
max 200
Required for per-account reports
from
query · optional
integer
≥ 0
Epoch ms (default: 30 days ago)
to
query · optional
integer
≥ 0
Epoch ms (default: now)
granularity
query · optional
"hour" | "day"
default "day"
thread_type
query · optional
"user" | "group"

Example request

bash
curl "http://127.0.0.1:9900/api/v1/analytics/{report}" \
  -H "Authorization: Bearer dpk_xxx"